using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace ScadaLink.ConfigurationDatabase.Migrations
{
    /// <inheritdoc />
    public partial class AddDerivedAlarmFields : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsInherited",
                table: "TemplateAlarms",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "LockedInDerived",
                table: "TemplateAlarms",
                type: "bit",
                nullable: false,
                defaultValue: false);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsInherited",
                table: "TemplateAlarms");

            migrationBuilder.DropColumn(
                name: "LockedInDerived",
                table: "TemplateAlarms");
        }
    }
}
